#!/bin/csh
#
# check that NeutronHPCrossSections exists (defined by Geant)
#
if ({$?NeutronHPCrossSections}) then
#
# check that we are being run in the directory with the data
#
  if ( -e 062144elast.endfbvi300k ) then
# 62-Sm-144
    cp ./062144elast.endfbvi300k {$NeutronHPCrossSections}/Elastic/CrossSection/62_144_Samarium
    cp ./062144gamma.endfbvi300k {$NeutronHPCrossSections}/Capture/CrossSection/62_144_Samarium
    cp ./062144inela.endfbvi300k {$NeutronHPCrossSections}/Inelastic/CrossSection/62_144_Samarium
    cp {$NeutronHPCrossSections}/Elastic/FS/49_nat_Indium {$NeutronHPCrossSections}/Elastic/FS/62_144_Samarium
    cp {$NeutronHPCrossSections}/Capture/FS/49_nat_Indium {$NeutronHPCrossSections}/Capture/FS/62_144_Samarium
# 64-Gd-152
    cp ./064152elast.endfbvi300k {$NeutronHPCrossSections}/Elastic/CrossSection/64_152_Gadolinium
    cp ./064152gamma.endfbvi300k {$NeutronHPCrossSections}/Capture/CrossSection/64_152_Gadolinium
    cp ./064152inela.endfbvi300k {$NeutronHPCrossSections}/Inelastic/CrossSection/64_152_Gadolinium
    cp {$NeutronHPCrossSections}/Elastic/FS/49_nat_Indium {$NeutronHPCrossSections}/Elastic/FS/64_152_Gadolinium
    cp {$NeutronHPCrossSections}/Capture/FS/49_nat_Indium {$NeutronHPCrossSections}/Capture/FS/64_152_Gadolinium
# 64-Gd-154
    cp ./064154elast.endfbvi300k {$NeutronHPCrossSections}/Elastic/CrossSection/64_154_Gadolinium
    cp ./064154gamma.endfbvi300k {$NeutronHPCrossSections}/Capture/CrossSection/64_154_Gadolinium
    cp ./064154inela.endfbvi300k {$NeutronHPCrossSections}/Inelastic/CrossSection/64_154_Gadolinium
    cp {$NeutronHPCrossSections}/Elastic/FS/49_nat_Indium {$NeutronHPCrossSections}/Elastic/FS/64_154_Gadolinium
    cp {$NeutronHPCrossSections}/Capture/FS/49_nat_Indium {$NeutronHPCrossSections}/Capture/FS/64_154_Gadolinium
# 64-Gd-155
    cp ./064155elast.endfbvi300k {$NeutronHPCrossSections}/Elastic/CrossSection/64_155_Gadolinium
    cp ./064155gamma.endfbvi300k {$NeutronHPCrossSections}/Capture/CrossSection/64_155_Gadolinium
    cp ./064155inela.endfbvi300k {$NeutronHPCrossSections}/Inelastic/CrossSection/64_155_Gadolinium
    cp {$NeutronHPCrossSections}/Elastic/FS/49_nat_Indium {$NeutronHPCrossSections}/Elastic/FS/64_155_Gadolinium
    cp {$NeutronHPCrossSections}/Capture/FS/49_nat_Indium {$NeutronHPCrossSections}/Capture/FS/64_155_Gadolinium
# 64-Gd-156
    cp ./064156elast.endfbvi300k {$NeutronHPCrossSections}/Elastic/CrossSection/64_156_Gadolinium
    cp ./064156gamma.endfbvi300k {$NeutronHPCrossSections}/Capture/CrossSection/64_156_Gadolinium
    cp ./064156inela.endfbvi300k {$NeutronHPCrossSections}/Inelastic/CrossSection/64_156_Gadolinium
    cp {$NeutronHPCrossSections}/Elastic/FS/49_nat_Indium {$NeutronHPCrossSections}/Elastic/FS/64_156_Gadolinium
    cp {$NeutronHPCrossSections}/Capture/FS/49_nat_Indium {$NeutronHPCrossSections}/Capture/FS/64_156_Gadolinium
# 64-Gd-157
    cp ./064157elast.endfbvi300k {$NeutronHPCrossSections}/Elastic/CrossSection/64_157_Gadolinium
    cp ./064157gamma.endfbvi300k {$NeutronHPCrossSections}/Capture/CrossSection/64_157_Gadolinium
    cp ./064157inela.endfbvi300k {$NeutronHPCrossSections}/Inelastic/CrossSection/64_157_Gadolinium
    cp {$NeutronHPCrossSections}/Elastic/FS/49_nat_Indium {$NeutronHPCrossSections}/Elastic/FS/64_157_Gadolinium
    cp {$NeutronHPCrossSections}/Capture/FS/49_nat_Indium {$NeutronHPCrossSections}/Capture/FS/64_157_Gadolinium
# 64-Gd-158
    cp ./064158elast.endfbvi300k {$NeutronHPCrossSections}/Elastic/CrossSection/64_158_Gadolinium
    cp ./064158gamma.endfbvi300k {$NeutronHPCrossSections}/Capture/CrossSection/64_158_Gadolinium
    cp ./064158inela.endfbvi300k {$NeutronHPCrossSections}/Inelastic/CrossSection/64_158_Gadolinium
    cp {$NeutronHPCrossSections}/Elastic/FS/49_nat_Indium {$NeutronHPCrossSections}/Elastic/FS/64_158_Gadolinium
    cp {$NeutronHPCrossSections}/Capture/FS/49_nat_Indium {$NeutronHPCrossSections}/Capture/FS/64_158_Gadolinium
# 64-Gd-160
    cp ./064160elast.endfbvi300k {$NeutronHPCrossSections}/Elastic/CrossSection/64_160_Gadolinium
    cp ./064160gamma.endfbvi300k {$NeutronHPCrossSections}/Capture/CrossSection/64_160_Gadolinium
    cp ./064160inela.endfbvi300k {$NeutronHPCrossSections}/Inelastic/CrossSection/64_160_Gadolinium
    cp {$NeutronHPCrossSections}/Elastic/FS/49_nat_Indium {$NeutronHPCrossSections}/Elastic/FS/64_160_Gadolinium
    cp {$NeutronHPCrossSections}/Capture/FS/49_nat_Indium {$NeutronHPCrossSections}/Capture/FS/64_160_Gadolinium
#
# add new data here
#
# all done
#
    echo 'Neutron data copied successfully.'
  else
#
# file doesn't exist, probably not run in correct directory
#
    echo 'You must run this script in the directory containing the data.'
    echo 'No data copied.'
  endif
else
#
# no NeutronHPCrossSections defined, probably Geant4 env.csh not sourced
#
  echo 'NeutronHPCrossSections not set: where to put data?'
  echo 'Need to source Geant4 env.csh setup file!'
  echo 'No data copied.'
endif
